package com.demo.mediator
{
	import com.demo.event.ApplicationEvent;
	import com.demo.lang.LangUtil;
	import com.demo.model.vo.ContactVO;
	import com.demo.proxys.AddContactFormProxy;
	import com.demo.view.components.AddContactForm;
	
	import flash.events.MouseEvent;
	
	import mx.controls.Alert;
	import mx.controls.Button;
	
	import org.puremvc.as3.multicore.interfaces.INotification;
	import org.puremvc.as3.multicore.utilities.fabrication.patterns.mediator.FlexMediator;
	
	public class AddContactFormMediator extends FlexMediator
	{
		
		public static const NAME:String = "AddContactFormMediator";
//		private var _proxy:AddContactFormProxy;
		
		[InjectProxy(name="AddContactFormProxy")]
		public var proxy:AddContactFormProxy;
		
		public function get addBtn():Button {
			return viewComponent.addBtn as Button;
		}
		
		public function get viewComp():AddContactForm {
			return viewComponent as AddContactForm;
		}
		
		public function AddContactFormMediator(viewComponent:Object=null)
		{
			super(NAME, viewComponent);
		}
		
		override public function onRegister():void {
			super.onRegister();
			
			_proxy = retrieveProxy(AddContactFormProxy.NAME) as AddContactFormProxy;
		}
		
		public function reactToAddBtnClick(evt:MouseEvent):void {
			var vo:ContactVO = viewComp.concat as ContactVO;
			
//			_proxy.add(vo);
			
			proxy.add(vo);
		}
		
		public function respondToSaveSuccess(noti:INotification):void {
			Alert.show(LangUtil.getString('s7'));
		}
		
	}
}