package org.puremvc.as3.multicore.utilities.fabrication.injection
{
	import org.puremvc.as3.multicore.interfaces.IFacade;
	import org.puremvc.as3.multicore.utilities.fabrication.global.FabricationConfig;
	import org.puremvc.as3.multicore.utilities.fabrication.interfaces.IClassInfoType;
	import org.puremvc.as3.multicore.utilities.fabrication.interfaces.IInjectProcessor;

	/**
	 * calllater set inject value
	 */ 
	public class NoPatternCache
	{
		public function NoPatternCache()
		{
		}
		
		private static var list:Array = []
		
		public static function add(injectionField:InjectionField,facade:IFacade,ind:Number,context:*):void
		{
			if(list[injectionField.elementName] == null){
				list[injectionField.elementName] = [];
			}
			(list[injectionField.elementName] as Array).push(function():void{addProcessor(injectionField,facade,ind,context)});
		}
		
		private static function addProcessor(injectionField:InjectionField,facade:IFacade,ind:Number,context:*):void
		{
			var temp_facade:IFacade = IInjectProcessor(FabricationConfig.processors[ind]).elementExist(injectionField,facade);
			if(temp_facade == null) return ;
			
			var patternElement:Object = IInjectProcessor(FabricationConfig.processors[ind]).processor(injectionField, temp_facade);
			if (patternElement){
				//trace(" -------------- callLater no Pattern : " + injectionField.elementName,injectionField.fieldName)
				IClassInfoType(context).setInjectName( injectionField.fieldName , patternElement);
			}
		}
		
		public static function check(elementName:String):Boolean
		{
			return list[elementName] != null
		}
		
		public static function process(elementName:String):void
		{
			if(check(elementName)){
				var a:Array = list[elementName] as Array;
				for(var i:int=0;i<a.length;i++){
					a[i]();
				}
				remove(elementName);
			}
		}
		
		public static function remove(elementName:String):void
		{
			list[elementName] = null;
		}
		
	}
}